Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.server
Class ServiceEndpointServletJSE

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.axis.transport.http.AxisServletBase
                  org.apache.axis.transport.http.AxisServlet
                      org.jboss.webservice.server.ServiceEndpointServlet
                          org.jboss.webservice.server.ServiceEndpointServletJSE

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class ServiceEndpointServletJSE
extends ServiceEndpointServlet

The servlet that deals with the specific requirements for Java service endpoints

Since:
  03-June-2004
Author:
  Thomas.Diesler@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.webservice.server.ServiceEndpointServlet
`log`

Fields inherited from class org.apache.axis.transport.http.AxisServlet
`INIT_PROPERTY_ENABLE_LIST, INIT_PROPERTY_JWS_CLASS_DIR, INIT_PROPERTY_TRANSPORT_NAME, INIT_PROPERTY_USE_SECURITY`

Fields inherited from class org.apache.axis.transport.http.AxisServletBase
`ATTR_AXIS_ENGINE, axisServer`

Constructor Summary
`ServiceEndpointServletJSE()`

Methods inherited from class org.jboss.webservice.server.ServiceEndpointServlet
`doGet, doPost, getEngine, getServiceName, getTransportURL, processWsdlRequest, reportAvailableServices, setupHTMLResponseHeader`

Methods inherited from class org.apache.axis.transport.http.AxisServlet
`createMessageContext, getDefaultJWSClassDir, getHttpServletResponseStatus, getJWSClassDir, getProtocolVersion, init, invokeEndpointFromGet, logException, processAxisFault, processListRequest, processMethodRequest, reportCantGetAxisService, reportCantGetJWSService, reportNoWSDL, reportServiceInfo, reportTrouble`

Methods inherited from class org.apache.axis.transport.http.AxisServletBase
`decLockCounter, destroy, getEngine, getEngineEnvironment, getHomeDir, getLoadCounter, getOption, getServletContext, getWebappBase, getWebInfPath, incLockCounter, isDevelopment, service`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceEndpointServletJSE

    public ServiceEndpointServletJSE()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.